import type { Data, DataValue, ListenerFn } from './types';
export declare class Store {
    private data;
    private listeners;
    constructor(data: Data);
    get(path: string[]): unknown;
    set(path: string[], value: DataValue): void;
    delete(path: string[]): void;
    deleteByPaths(paths: string[][]): void;
    subscribe(listener: ListenerFn): () => void;
}
